#!/bin/bash
#
# shell script calib_build to install the calibration data tables
# optional parameter = directory containing compressed tarfile
# calib.tar.Z
#
# variables MIDASHOME and MIDVERS must be set already!
#
# K. Banse      041129
#
#.VERSION
# 041213        last modif
#


if [ -d $MIDASHOME/$MIDVERS ] ; then
   echo "MIDASHOME/MIDVERS = $MIDASHOME/$MIDVERS"
else
   echo env. var. MIDASHOME and/or MIDVERS not set... we abort
   exit 1
fi


cd ~/tmp
echo "we work in `pwd`"
echo "first we clean this dir. completely...!"
echo "you have 2 seconds to abort this...!"
sleep 2

rm -rf *
ls 

echo we execute Midas in job-mode:
inmidas -j "@ vericopy; @ superverify; bye"

$MIDASHOME/$MIDVERS/system/unix/inmidas -j "@ vericopy; @ superverify; bye"

echo "now we check the Midas logfile for errors in any tutorial"
grep \(ERR\) ~/midwork/F*00.LOG

if [ $? != 0 ] ; then
   echo "-------------------------------------------------------------"
   echo procedure superverify terminated without errors
else
   echo "-------------------------------------------------------------"
   echo procedure superverify had problems - check the Midas logfile!
fi
echo "-------------------------------------------------------------"
